Bug 1691443 - [RFE] Ship default role with permissions for ansible inventory callback
Summary: [RFE] Ship default role with permissions for ansible inventory callback
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Uncategorized
Version: 6.4
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified vote
Target Milestone: 6.6.0
Assignee: Marek Hulan
QA Contact: Lukas Pramuk
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-03-21 15:44 UTC by Marek Hulan
Modified: 2019-10-22 12:47 UTC (History)
3 users (show)

Fixed In Version: tfm-rubygem-foreman_ansible-2.3.3
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-10-22 12:47:18 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 26431 None None None 2019-03-21 15:44:02 UTC
Red Hat Product Errata RHSA-2019:3172 None None None 2019-10-22 12:47:28 UTC

Description Marek Hulan 2019-03-21 15:44:01 UTC
Role that contains view_facts, view_hosts, view_hostgroups

Comment 3 Bryan Kearney 2019-03-21 16:00:28 UTC
Upstream bug assigned to mhulan@redhat.com

Comment 4 Bryan Kearney 2019-03-21 16:00:29 UTC
Upstream bug assigned to mhulan@redhat.com

Comment 5 Bryan Kearney 2019-03-27 10:00:31 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/26431 has been resolved.

Comment 7 Lukas Pramuk 2019-08-08 11:38:26 UTC
VERIFIED.

@Satellite-6.6.0 Snap14 
tfm-rubygem-foreman_ansible-3.0.3-3.el7sat.noarch

by the following manual steps:

# hammer role info --name 'Ansible Tower Inventory Reader'
Id:          17
Name:        Ansible Tower Inventory Reader
Builtin:     no
Description: Permissions required for the user which is used by Ansible Tower Dynamic Inventory Item

>>> the role is present

# hammer role filters --name 'Ansible Tower Inventory Reader'
----|---------------|--------|------------|-----------|--------------------------------|----------------
ID  | RESOURCE TYPE | SEARCH | UNLIMITED? | OVERRIDE? | ROLE                           | PERMISSIONS    
----|---------------|--------|------------|-----------|--------------------------------|----------------
205 | FactValue     | none   | yes        | no        | Ansible Tower Inventory Reader | view_facts     
206 | Hostgroup     | none   | yes        | no        | Ansible Tower Inventory Reader | view_hostgroups
207 | Host          | none   | yes        | no        | Ansible Tower Inventory Reader | view_hosts     
----|---------------|--------|------------|-----------|--------------------------------|----------------

>>> the role contains all three filters

# hammer user create --login test --password changeme --mail root@localhost --auth-source Internal --roles 'Ansible Tower Inventory Reader'
User [test] created.

>>> the new role is assigned to the user successfully

Comment 9 errata-xmlrpc 2019-10-22 12:47:18 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:3172


Note You need to log in before you can comment on or make changes to this bug.